FirefoxChromeLauncher (Selenium RC Server (Coreless) 1.0.1 API)
Date: 2009-06-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.browserlaunchers
Class FirefoxChromeLauncher

    java.lang.Object
      org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
          org.openqa.selenium.server.browserlaunchers.FirefoxChromeLauncher

All Implemented Interfaces:
  BrowserLauncher

Direct Known Subclasses:
  Firefox2Launcher, Firefox3Launcher

    public class FirefoxChromeLauncher

extends AbstractBrowserLauncher

Nested Class Summary
`static class` | `FirefoxChromeLauncher.ChromeUrlConvert`
`protected class` | `FirefoxChromeLauncher.FileLockRemainedException`

Field Summary
`static java.lang.String` | `CHROME_URL`

Fields inherited from class org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
`browserConfigurationOptions, sessionId`

Constructor Summary
`FirefoxChromeLauncher(BrowserConfigurationOptions browserOptions, RemoteControlConfiguration configuration, java.lang.String sessionId, BrowserInstallation browserInstallation)`
`FirefoxChromeLauncher(BrowserConfigurationOptions browserOptions, RemoteControlConfiguration configuration, java.lang.String sessionId, java.lang.String browserString)`

Method Summary
`void` | `close()` Stop (kill) the browser process
`protected void` | `copyCert8db(java.io.File firefoxProfileTemplate)`
`protected void` | `copyDirectory(java.io.File sourceDir, java.io.File destDir)`
`protected void` | `copySingleFileWithOverwrite(java.io.File sourceFile, java.io.File destFile)`
`protected void` | `createCustomProfileDir()`
`protected void` | `extractProfileFromJar()`
`protected void` | `generatePacAndPrefJs(java.lang.String homePage)`
`protected java.io.File` | `getFileFromParent(java.io.File parent, java.lang.String child)`
`java.lang.Process` | `getProcess()` Returns a process if there is an associated one running with this browser launcher (this is not required to be implementd).
`protected java.io.File` | `initProfileTemplate()`
`protected void` | `killFirefoxProcess()` Wrapper to allow for stubbed-out testing
`protected void` | `launch(java.lang.String url)`
`void` | `launchHTMLSuite(java.lang.String suiteUrl, java.lang.String browserURL)` Start the browser in Selenese mode, auto-running the specified HTML suite
`void` | `launchRemoteSession(java.lang.String browserURL)` Start the browser and navigate directly to the specified URL using the supplied browser configurations
`protected void` | `removeCustomProfileDir()` Wrapper to allow for stubbed-out testing
`protected void` | `setCustomProfileDir(java.io.File value)`
`protected void` | `setProcess(java.lang.Process p)`

Methods inherited from class org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
`getConfiguration, getPort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHROME_URL

    public static final java.lang.String CHROME_URL

See Also:
  Constant Field Values

Constructor Detail

### FirefoxChromeLauncher

    public FirefoxChromeLauncher(BrowserConfigurationOptions browserOptions,
                                 RemoteControlConfiguration configuration,
                                 java.lang.String sessionId,
                                 java.lang.String browserString)
                          throws InvalidBrowserExecutableException

Throws:
  `InvalidBrowserExecutableException`

### FirefoxChromeLauncher

    public FirefoxChromeLauncher(BrowserConfigurationOptions browserOptions,
                                 RemoteControlConfiguration configuration,
                                 java.lang.String sessionId,
                                 BrowserInstallation browserInstallation)

Method Detail

### launch

    protected void launch(java.lang.String url)

  Specified by:
    `launch` in class `AbstractBrowserLauncher`

### createCustomProfileDir

    protected void createCustomProfileDir()

### copyDirectory

    protected void copyDirectory(java.io.File sourceDir,
                                 java.io.File destDir)

### initProfileTemplate

    protected java.io.File initProfileTemplate()

### extractProfileFromJar

    protected void extractProfileFromJar()
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### copySingleFileWithOverwrite

    protected void copySingleFileWithOverwrite(java.io.File sourceFile,
                                               java.io.File destFile)

### getFileFromParent

    protected java.io.File getFileFromParent(java.io.File parent,
                                             java.lang.String child)

### copyCert8db

    protected void copyCert8db(java.io.File firefoxProfileTemplate)

### generatePacAndPrefJs

    protected void generatePacAndPrefJs(java.lang.String homePage)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()

  Description copied from interface: `BrowserLauncher`
  Stop (kill) the browser process

### removeCustomProfileDir

    protected void removeCustomProfileDir()
                                   throws java.lang.RuntimeException

  Wrapper to allow for stubbed-out testing

  Throws:
    `java.lang.RuntimeException`

### killFirefoxProcess

    protected void killFirefoxProcess()
                               throws FirefoxChromeLauncher.FileLockRemainedException

  Wrapper to allow for stubbed-out testing

  Throws:
    `FirefoxChromeLauncher.FileLockRemainedException`

### getProcess

    public java.lang.Process getProcess()

  Description copied from interface: `BrowserLauncher`
  Returns a process if there is an associated one running with this browser launcher (this is not required to be implementd).

  Returns:
    a handle to a process if one is available, or null if one is not available or if no browser is running

### setCustomProfileDir

    protected void setCustomProfileDir(java.io.File value)

### setProcess

    protected void setProcess(java.lang.Process p)

### launchHTMLSuite

    public void launchHTMLSuite(java.lang.String suiteUrl,
                                java.lang.String browserURL)

  Description copied from interface: `BrowserLauncher`
  Start the browser in Selenese mode, auto-running the specified HTML suite

  Specified by:
    `launchHTMLSuite` in interface `BrowserLauncher`
  Overrides:
    `launchHTMLSuite` in class `AbstractBrowserLauncher`
  Parameters:
    `suiteUrl` - the url of the HTML suite to launch
    `browserURL` - the url within which to initiate the session (if needed)

### launchRemoteSession

    public void launchRemoteSession(java.lang.String browserURL)

  Description copied from interface: `BrowserLauncher`
  Start the browser and navigate directly to the specified URL using the supplied browser configurations

  Specified by:
    `launchRemoteSession` in interface `BrowserLauncher`
  Overrides:
    `launchRemoteSession` in class `AbstractBrowserLauncher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.